CVE-2007-0994

Impact:
Critical
Public Date:
2007-03-05

The MITRE CVE dictionary describes this issue as:

A regression error in Mozilla Firefox 2.x before 2.0.0.2 and 1.x before 1.5.0.10, and SeaMonkey 1.1 before 1.1.1 and 1.0 before 1.0.8, allows remote attackers to execute arbitrary JavaScript as the user via an HTML mail message with a javascript: URI in an (1) img, (2) link, or (3) style tag, which bypasses the access checks and executes code with chrome privileges.

Find out more about CVE-2007-0994 from the MITRE CVE dictionary dictionary and NIST NVD.

Red Hat Security Errata

Platform Errata Release Date
Red Hat Enterprise Linux version 4 (firefox) RHSA-2007:0079 2007-02-23
Red Hat Enterprise Linux version 2.1 (seamonkey) RHSA-2007:0077 2007-02-24
Red Hat Enterprise Linux version 5 (firefox) RHSA-2007:0097 2007-03-14
Red Hat Enterprise Linux version 3 (seamonkey) RHSA-2007:0077 2007-02-24
Red Hat Enterprise Linux version 4 RHSA-2007:0077 2007-02-24

Affected Packages State

Platform Package State
Red Hat Enterprise Linux version 5 devhelp 0.12-10.0.1.el5 Fixed
Red Hat Enterprise Linux version 5 yelp 2.16.0-14.0.1.el5 Fixed
Red Hat Enterprise Linux version 4 devhelp 0.10-0.7.el4 Fixed
Red Hat Enterprise Linux version 4 seamonkey 1.0.8-0.2.el4 Fixed